Subject: Offline Message from Isabelle: I tried to call you and again nobody answer on
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 23 Jun 2020 08:23:17 -0000

From: Isabelle <[email-masked]>
Phone: 
Location: Dubai, United Arab Emirates
URL: https://www.mumzworld.com/en/contact-us
Department: 

I tried to call you and again nobody answer on the phone!! I was on hold-on for 12 minutes and then the line was close.. so I'm waited and spend money on my mobile for nothing!! It's not the first time
Can you call me please I trying to order online but want to know if its included the fixing? It's about the Cardinal Gates - Outdoor Safety Gate

----
Zopim
https://www.zopim.com